<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>

<xsl:transform
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:java="xalan://xml.apache.org/xalan/java"
    xmlns:fn="http://projets.admisource.gouv.fr/xemelios/namespaces#functions"
    xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added"
    xmlns:ano="http://projets.admisource.gouv.fr/xemelios/namspaces#anomally"
    xmlns:n="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller"
    xmlns="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller"
    exclude-result-prefixes="fn java" version="2.0">

    <xsl:output method="xml" indent="yes"/>

    <xsl:output encoding="##output-encoding##"/>
    <xsl:output version="##xml-version##"/>

    <!--xsl:output encoding="ISO-8859-1"/>
    <xsl:output version="1.0"/-->
    <xsl:param name="language" select="'fr'"/>
    
    <xsl:template match="/*[position()=1]">
        <xsl:if test="local-name() = 'PES_Aller'">
            <PES_Aller xmlns="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller"
                xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added"
                xmlns:n="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller"            
                xmlns:ano="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally">
                <xsl:for-each select="./@*">
                    <xsl:attribute name="{local-name(.)}" namespace="{namespace-uri(.)}" select="."/>
                </xsl:for-each>
                <xsl:for-each select="./*">
                    <xsl:call-template name="writeElement">
                        <xsl:with-param name="el" select="."/>
                    </xsl:call-template>
                </xsl:for-each>
            </PES_Aller>
       </xsl:if>
    </xsl:template>
    
    <xsl:template name="convertPJ">
        <xsl:param name="bloc"/>
        <xsl:element name="PJRef" namespace="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller">
            <xsl:element name="Support" namespace="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller">
                <xsl:attribute name="V">10</xsl:attribute>
            </xsl:element>
            <xsl:element name="IdUnique" namespace="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller">
                <xsl:attribute name="V">
                    <xsl:value-of select="$bloc/IdUnique/@V"></xsl:value-of>
                </xsl:attribute>
            </xsl:element>
            <xsl:element name="NomPJ" namespace="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller">
                <xsl:attribute name="V">
                    <xsl:value-of select="$bloc/NomPJ/@V"></xsl:value-of>
                </xsl:attribute>
            </xsl:element>                    
        </xsl:element>
    </xsl:template>

    <xsl:template name="writeElement">
        <xsl:param name="el"/>
        <xsl:choose>
            <xsl:when test="namespace-uri($el) = 'http://projets.admisource.gouv.fr/xemelios/namespaces#anomally'">
                <xsl:element name="{name($el)}" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally">
                    <xsl:for-each select="$el/@*">
                        <xsl:attribute name="{name(.)}" namespace="{namespace-uri(.)}">
                            <xsl:value-of select="."/>
                        </xsl:attribute>
                    </xsl:for-each>
                    <xsl:value-of select="text()" disable-output-escaping="yes"/>
                    <xsl:for-each select="$el/*">
                        <xsl:call-template name="writeElement"><xsl:with-param name="el" select="."/></xsl:call-template>
                    </xsl:for-each>
                </xsl:element>
            </xsl:when>
            <xsl:otherwise>
                <xsl:element name="{name($el)}" namespace="http://www.minefi.gouv.fr/cp/helios/pes_v2/Rev0/aller">
                    <xsl:attribute name="generated-id" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#added">
                        <xsl:value-of select="generate-id()"/>
                    </xsl:attribute>
                    <xsl:for-each select="$el/@*">
                        <xsl:choose>
                            <xsl:when test="namespace-uri(.) = 'http://projets.admisource.gouv.fr/xemelios/namespaces#anomally'">
                                <xsl:attribute name="{local-name(.)}" namespace="http://projets.admisource.gouv.fr/xemelios/namespaces#anomally">
                                    <xsl:value-of select="."/>
                                </xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:attribute name="{local-name(.)}" namespace="{namespace-uri(.)}">
                                    <xsl:value-of select="."/>
                                </xsl:attribute>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:for-each>
                    <xsl:choose>
                    	<xsl:when test="name($el)='PJ' and $el/TypePJ/@V='001'">
                    		<xsl:attribute name="LibTypePJ">Document Budgtaire</xsl:attribute>
                    	</xsl:when>
                    	<xsl:when test="name($el)='PJ' and $el/TypePJ/@V='002'">
                    		<xsl:attribute name="LibTypePJ">Facture de Recette</xsl:attribute>
                    	</xsl:when>
                    	<xsl:when test="name($el)='PJ' and $el/TypePJ/@V='003'">
                    		<xsl:attribute name="LibTypePJ">Facture de Dpense</xsl:attribute>
                    	</xsl:when>
                    	<xsl:when test="name($el)='PJ' and $el/TypePJ/@V='004'">
                    		<xsl:attribute name="LibTypePJ">Etat de Paye</xsl:attribute>
                    	</xsl:when>
                    	<xsl:when test="name($el)='PJ' and $el/TypePJ/@V='005'">
                    		<xsl:attribute name="LibTypePJ">Etat d'Aide Sociale</xsl:attribute>
                    	</xsl:when>
                    </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="name($el)='PJ'">
                            <xsl:call-template name="convertPJ">
                                <xsl:with-param name="bloc" select="."/>
                            </xsl:call-template>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:for-each select="$el/*">
                        <xsl:choose>
                            <!-- ignorer Contenu -->
                            <xsl:when test="name(.)='Contenu'">
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:call-template name="writeElement">
                                    <xsl:with-param name="el" select="."/>
                                </xsl:call-template>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:for-each>
                    <xsl:value-of select="$el/text()" disable-output-escaping="yes"/>
                </xsl:element>
            </xsl:otherwise>
        </xsl:choose>
        
    </xsl:template>
</xsl:transform>
